happstack-server-7.9.3: Web related tools and services.

Safe Haskell | None
Language | Haskell2010

Happstack.Server.Internal.Listen

Synopsis

- listen :: Conf -> (Request -> IO Response) -> IO ()
- listen' :: Socket -> Conf -> (Request -> IO Response) -> IO ()
- listenOn :: Int -> IO Socket
- listenOnIPv4 :: String -> Int -> IO Socket

# Documentation

listen :: Conf -> (Request -> IO Response) -> IO () Source #

Bind and listen port

listen' :: Socket -> Conf -> (Request -> IO Response) -> IO () Source #

Use a previously bind port and listen

listenOn :: Int -> IO Socket Source #

listenOnIPv4 Source #

Arguments

:: String | IP address to listen on (must be an IP address not a host name)
-> Int | port number to listen on
-> IO Socket |